XSEND(1)

NAME
xsend, xget, enroll - send or receive secret mail

SYNOPSIS
xsend username

xget

enroll

DESCRIPTION

These commands implement a secure communication channel, which is like mail(1), but no one can read the messages except the intended recipient. The method embodies a public-key cryptosystem using knapsacks.

To receive messages, use enroll; it asks you for a password that you must subsequently quote in order to receive secret mail.

To receive secret mail, use xget. It asks for your password, then gives you the messages.

To send secret mail, use xsend in the same manner as the ordinary mail command. Unlike mail, xsend accepts only one target. A message announcing the receipt of secret mail is also sent by ordinary mail.

FILES
/var/spool/secretmail/*.key
    keys
/var/spool/secretmail/*.[0-9]
    messages

SEE ALSO
mail(1)

BUGS

The knapsack public-key cryptosystem is known to be breakable.

Secret mail should be integrated with ordinary mail.

The announcement of secret mail makes “traffic analysis” possible.